swish-0.9.0.7: A semantic web toolkit.

Portability | CPP, TypeFamilies, FlexibleInstances
Stability | experimental
Maintainer | Douglas Burke
Safe Haskell | None

Data.Interned.URI

Description

Support interning URIs.

Synopsis

- data InternedURI

# Documentation

data InternedURI Source

An interned URI. The hashing is based on the reversed URI (as a string).

Instances

Eq InternedURI |
Ord InternedURI |
Show InternedURI |
IsString InternedURI |
Uninternable InternedURI |
Interned InternedURI |
Eq (Description InternedURI) |
Hashable (Description InternedURI) |